# WCharSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for WCharSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::WCharSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_WCHARSEQ_CH_

## Typedefs

typedef TAO_FixedSeq_Var_T< WCharSeq, CORBA::WChar > | WCharSeq_var
typedef TAO_Seq_Out_T< WCharSeq, WCharSeq_var, CORBA::WChar > | WCharSeq_out

## Functions

TAO_Export::CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::WCharSeq &)
TAO_Export::CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::WCharSeq &)

## Define Documentation

#define _CORBA_WCHARSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< WCharSeq, WCharSeq_var, CORBA::WChar > CORBA::WCharSeq_out

typedef TAO_FixedSeq_Var_T< WCharSeq, CORBA::WChar > CORBA::WCharSeq_var

## Function Documentation

TAO_Export ::CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::WCharSeq & |
| ) |

TAO_Export ::CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::WCharSeq & |
| ) |